Strophe: Data Fields - Variables

Strophe 0.9 XMPP client library

### - a -

- alg : scram_user_data
- alloc : xmpp_mem_t
- ancount : message_header
- arcount : message_header
- attributes : xmpp_stanza_t
- auth_legacy_enabled : xmpp_conn_t
- authenticated : xmpp_conn_t

### - b -

- bind_required : xmpp_conn_t
- bits : MD5Context
- blocking_send : xmpp_conn_t
- bound_jid : xmpp_conn_t
- buf : MD5Context , sha256_context , sha512_context
- buffer : SHA1_CTX

### - c -

- C : Hash_DRBG_CTX
- children : xmpp_stanza_t
- conn : tls_t , xmpp_connlist_t
- conn_handler : xmpp_conn_t
- connect_timeout : xmpp_conn_t
- connlist : xmpp_ctx_t
- count : SHA1_CTX
- cred : tls_t
- ctx : hash_t , parser_t , tls_t , xmpp_conn_t , xmpp_rand_t , xmpp_sha1_t , xmpp_stanza_t
- curlen : sha256_context , sha512_context

### - d -

- data : xmpp_send_queue_t , xmpp_stanza_t
- depth : parser_t
- digest : xmpp_sha1_t
- digest_size : hash_alg
- domain : xmpp_conn_t

### - e -

- enabled : xmpp_handlist_t
- endcb : parser_t
- entries : hash_t
- entry : hash_iterator_t
- error : xmpp_conn_t
- expat : parser_t

### - f -

- final : hash_alg
- free : hash_t , xmpp_mem_t

### - h -

- handler : xmpp_handlist_t , xmpp_log_t
- handlers : parser_t , xmpp_conn_t
- hash : hash_alg
- hcred : tls_t
- hctxt : tls_t
- hsec32 : tls_t

### - i -

- id : xmpp_handlist_t , message_header
- id_handlers : xmpp_conn_t
- in : MD5Context
- index : hash_iterator_t
- init : tls_t , hash_alg
- inited : xmpp_rand_t
- inner_text : parser_t
- inner_text_size : parser_t
- inner_text_used : parser_t
- is_raw : xmpp_conn_t

### - j -

- jid : xmpp_conn_t

### - k -

- ka_interval : xmpp_conn_t
- ka_timeout : xmpp_conn_t
- key : hashentry_t

### - l -

- lang : xmpp_conn_t
- last_stamp : xmpp_handlist_t
- lasterror : tls_t
- len : xmpp_send_queue_t
- length : hash_t , sha256_context , sha512_context
- log : xmpp_ctx_t
- loop_status : xmpp_ctx_t

### - m -

- mask : hash_alg
- mem : xmpp_ctx_t

### - n -

- name : xmpp_handlist_t
- next : hashentry_t , xmpp_handlist_t , xmpp_send_queue_t , xmpp_stanza_t , resolver_srv_rr_t , xmpp_connlist_t
- ns : xmpp_handlist_t
- nscount : message_header
- num_keys : hash_t

### - o -

- octet2 : message_header
- octet3 : message_header
- open_handler : xmpp_conn_t

### - p -

- parent : xmpp_stanza_t
- parser : xmpp_conn_t
- pass : xmpp_conn_t
- period : xmpp_handlist_t
- port : resolver_srv_rr_t
- prev : xmpp_stanza_t
- priority : resolver_srv_rr_t

### - q -

- qdcount : message_header

### - r -

- rand : xmpp_ctx_t
- readybuffer : tls_t
- readybufferlen : tls_t
- readybufferpos : tls_t
- realloc : xmpp_mem_t
- recvbuffer : tls_t
- recvbuffermaxlen : tls_t
- recvbufferpos : tls_t
- ref : hash_iterator_t , hash_t , xmpp_conn_t , xmpp_stanza_t
- reseed_count : xmpp_rand_t
- reseed_counter : Hash_DRBG_CTX
- reset_parser : xmpp_conn_t

### - s -

- sasl_support : xmpp_conn_t
- scram_init : scram_user_data
- scram_name : hash_alg
- secured : xmpp_conn_t
- send_queue_head : xmpp_conn_t
- send_queue_len : xmpp_conn_t
- send_queue_max : xmpp_conn_t
- send_queue_tail : xmpp_conn_t
- sendbuffer : tls_t
- sendbufferlen : tls_t
- sendbuffermaxlen : tls_t
- sendbufferpos : tls_t
- session : tls_t
- session_required : xmpp_conn_t
- sft : tls_t
- sha1 : common_hash_ctx
- sha256 : common_hash_ctx
- sha512 : common_hash_ctx
- sock : tls_t , xmpp_conn_t
- spcss : tls_t
- spi : tls_t
- ssl : tls_t
- ssl_ctx : tls_t
- stanza : parser_t , xmpp_stream_error_t
- stanzacb : parser_t
- startcb : parser_t
- state : xmpp_conn_t , SHA1_CTX , sha256_context , sha512_context
- stream_error : xmpp_conn_t
- stream_id : xmpp_conn_t

### - t -

- table : hash_iterator_t
- target : resolver_srv_rr_t
- text : xmpp_stream_error_t
- timed_handlers : xmpp_conn_t , xmpp_ctx_t
- timeout : xmpp_ctx_t
- timeout_stamp : xmpp_conn_t
- tls : xmpp_conn_t
- tls_disabled : xmpp_conn_t
- tls_failed : xmpp_conn_t
- tls_legacy_ssl : xmpp_conn_t
- tls_mandatory : xmpp_conn_t
- tls_support : xmpp_conn_t
- tls_trust : xmpp_conn_t
- type : xmpp_conn_t , xmpp_handlist_t , xmpp_stanza_t , xmpp_stream_error_t

### - u -

- u : xmpp_handlist_t
- update : hash_alg
- user_handler : xmpp_handlist_t
- userdata : parser_t , xmpp_conn_t , xmpp_handlist_t , xmpp_log_t , xmpp_mem_t

### - v -

- V : Hash_DRBG_CTX
- value : hashentry_t

### - w -

- weight : resolver_srv_rr_t
- written : xmpp_send_queue_t

### - x -

- xmlctx : parser_t
- xmpp_ctx : xmpp_sha1_t